Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.confidence
Class ConfidenceCorrectorEvaluator

    java.lang.Object
      cc.mallet.fst.confidence.ConfidenceCorrectorEvaluator

    public class ConfidenceCorrectorEvaluator

extends java.lang.Object

Calculates the effectiveness of "constrained viterbi" in propagating corrections in one segment of a sequence to other segments.

Constructor Summary
`ConfidenceCorrectorEvaluator(java.lang.Object[] startTags, java.lang.Object[] inTags)`

Method Summary
`void` | `evaluate(Transducer model, java.util.ArrayList predictions, InstanceList ilist, java.util.ArrayList correctedSegments, java.lang.String description, java.io.PrintStream outputStream, boolean errorsInUncorrected)` Only evaluates over sequences which contain errors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfidenceCorrectorEvaluator

    public ConfidenceCorrectorEvaluator(java.lang.Object[] startTags,
                                        java.lang.Object[] inTags)

Method Detail

### evaluate

    public void evaluate(Transducer model,
                         java.util.ArrayList predictions,
                         InstanceList ilist,
                         java.util.ArrayList correctedSegments,
                         java.lang.String description,
                         java.io.PrintStream outputStream,
                         boolean errorsInUncorrected)

  Only evaluates over sequences which contain errors. Examine region not directly corrected by `correctedSegments` to measure effects of error propagation.

  Parameters:
    `model` - used to segment input sequence
    `predictions` - list of the corrected segmentation
    `ilist` - list of testing data
    `correctedSegments` - list of `Segment`s in each sequence that were corrected...currently only allows one segment per instance.
    `uncorrected` - true if we only evaluate sequences where errors remain after correction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD